# -*- encoding: utf-8 -*-
$:.push File.expand_path(File.join('..', 'lib'), __FILE__)
require 'opsask/metadata'

Gem::Specification.new do |s|
  s.name        = 'opsask'
  s.version     = OpsAsk::VERSION
  s.platform    = Gem::Platform::RUBY
  s.author      = OpsAsk::AUTHOR
  s.email       = OpsAsk::EMAIL
  s.summary     = OpsAsk::SUMMARY
  s.description = OpsAsk::SUMMARY + '.'
  s.homepage    = OpsAsk::HOMEPAGE
  s.license     = OpsAsk::LICENSE

  s.add_runtime_dependency 'thor', '~> 0'
  s.add_runtime_dependency 'thin', '~> 1'
  s.add_runtime_dependency 'curb', '~> 0.8'
  s.add_runtime_dependency 'rack', '~> 1'
  s.add_runtime_dependency 'sinatra', '~> 1.4'
  s.add_runtime_dependency 'rack-flash3', '~> 1'
  s.add_runtime_dependency 'sinatra-partial', '~> 0.4'
  s.add_runtime_dependency 'sclemmer-jira-ruby', '~> 0.1'
  s.add_runtime_dependency 'holidays', '~> 2.2'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File::basename(f) }
  s.require_paths = %w[ lib ]
end